import {Component, Input, OnInit} from '@angular/core'
import {FormControl} from '@angular/forms'
import {FormField} from '../entity-add/entity-add.component'

@Component({
  selector: 'cre-slider-field',
  templateUrl: './slider-field.component.html',
  styleUrls: ['./slider-field.component.sass']
})
export class SliderFieldComponent implements OnInit {
  @Input() control: FormControl
  @Input() field: FormField | null
  @Input() label: string
  @Input() min: number
  @Input() max: number
  @Input() step = 1
  @Input() percents = false
  @Input() thumbLabel = true

  ngOnInit(): void {
    if (this.field) {
      if (!this.label) {
        this.label = this.field.label
      }
      if (!this.min) {
        this.min = this.field.min
      }
      if (!this.max) {
        this.max = this.field.max
      }
    }
  }

  formatValueForDisplay(value: number): string {
    return this.percents ? `${value}%` : value.toString()
  }
}
