export function filterMap<K, V>(map: Map<K, V>, predicate: (key: K, value: V) => boolean): Map<K, V> {
  const filteredMap = new Map<K, V>()
  map.forEach((value, key) => {
    if (predicate(key, value)) {
      filteredMap.set(key, value)
    }
  })
  return filteredMap
}

export function transformMap<K, V, T>(map: Map<K, V>, transform: (key: K, value: V) => T): T[] {
  const transformedArray = []
  map.forEach((value, key) => {
    transformedArray.push(transform(key, value))
  })
  return transformedArray
}
