import {Component, Input} from '@angular/core'
import {SubscribingComponent} from '../../shared/components/subscribing.component'
import {RecipeService} from '../../colors/services/recipe.service'
import {ErrorService} from '../../shared/service/error.service'
import {ActivatedRoute, Router} from '@angular/router'
import {Recipe} from '../../shared/model/recipe.model'

@Component({
  selector: 'touchupkit-finish',
  templateUrl: 'finish.html',
  styleUrls: ['finish.sass']
})
export class TouchUpKitFinish extends SubscribingComponent {
  @Input() finish: string

  hover = false
  matchesRecipes = false
  matchingRecipes: Recipe[] | null

  constructor(
    private recipeService: RecipeService,
    errorService: ErrorService,
    router: Router,
    activatedRoute: ActivatedRoute
  ) {
    super(errorService, activatedRoute, router)
  }

  ngOnInit(): void {
    this.subscribe(
      this.recipeService.getAllByName(this.finish),
      recipes => {
        this.matchesRecipes = recipes.length > 0
        this.matchingRecipes = recipes
      }
    )
  }

  openRecipe(recipe: Recipe) {
    window.open(`/color/explore/${recipe.id}`, '_blank')
  }
}
