import {Injectable} from '@angular/core'
import {ApiService} from '../../shared/service/api.service'
import {Observable} from 'rxjs'
import {TouchUpKit} from '../../shared/model/touch-up-kit.model'

@Injectable({
  providedIn: 'root'
})
export class TouchUpKitService {
  constructor(
    private api: ApiService
  ) {
  }

  get all(): Observable<TouchUpKit[]> {
    return this.api.get<TouchUpKit[]>('/touchupkit')
  }

  getById(id: number): Observable<TouchUpKit> {
    return this.api.get<TouchUpKit>(`/touchupkit/${id}`)
  }

  save(touchUpKit: TouchUpKit): Observable<void> {
    return this.api.post<void>('/touchupkit', touchUpKit)
  }

  update(touchUpKit: TouchUpKit): Observable<void> {
    return this.api.put<void>('/touchupkit', touchUpKit)
  }

  complete(touchUpKit: TouchUpKit): Observable<void> {
    return this.api.put<void>(`/touchupkit/${touchUpKit.id}/complete`)
  }

  delete(id: number): Observable<void> {
    return this.api.delete<void>(`/touchupkit/${id}`)
  }
}
